Hinweis: Das Forum wird geschlossen! Neue Registrierungen sind nicht mehr möglich!

 Zurück zu Pro-Linux   Foren-Übersicht   FAQ     Suchen    Mitgliederliste
Probleme mit GLIBC_2.3

 
Neuen Beitrag schreiben   Auf Beitrag antworten    Pro-Linux Foren-Übersicht -> Programmieren - C
Vorheriges Thema anzeigen :: Nächstes Thema anzeigen  
Autor Nachricht
Doofie
Gast





BeitragVerfasst am: 15. März 2003 11:56   Titel: Probleme mit GLIBC_2.3

Wenn ich unter RedHat 8.0 compiliere (und -static) nicht verwenden kann, dann laufen die Programme z.B. auf SuSE 8.1 nicht, wei lda die alte GLIBC_2.2 vorhanden ist.

Gibt es eine möglichkeit, den gcc/ld dazu zu bringen, auch mit der alten GLIBC 2.2 zu arbeiten? Wen ja - wie?
 

hjb
Pro-Linux


Anmeldungsdatum: 15.08.1999
Beiträge: 3236
Wohnort: Bruchsal

BeitragVerfasst am: 17. März 2003 12:39   Titel: Re: Probleme mit GLIBC_2.3

Hi!

prinzipiell: glibc 2.2 separat von der 2.3 installieren
Dem Compiler die Optionen -nostdinc und -nostdlibs übergeben, dazu dann -I/pfad/zu/glibc2.2-headern und -l/pfad/zu/glibc2.2.so

Die beste Lösung dürfte sein, eine LSB-konforme Umgebung einzurichten (http://www.freestandards.org/).

Gruß,
hjb
_________________
Pro-Linux - warum durch Fenster steigen, wenn es eine Tür gibt?
 
Benutzer-Profile anzeigen Private Nachricht senden E-Mail senden Website dieses Benutzers besuchen MSN Messenger

Beiträge vom vorherigen Thema anzeigen:   
     Pro-Linux Foren-Übersicht -> Programmieren - C Alle Zeiten sind GMT + 1 Stunde
Seite 1 von 1

 
Gehen Sie zu:  

Powered by phpBB © phpBB Group
pro_linux Theme © 2004 by Mandaxy